Subject: [AAA-WG]: FW: Diameter Base issue: DIAMETER_NO_COMMON_SECURITY error code not defined

From: <[email-masked]>
Date: Mon, 2 Dec 2002 20:45:30 +0200

I have added the following text:
 
DIAMETER_NO_COMMON_SECURITY        5017

This error is returned when a CER message is received, and there are no common security models supported between the peers. A Capabilities-Exchange-Answer (CEA) MUST be returned with the Result-Code AVP set to DIAMETER_NO_COMMON_SECURITY.

And added the message to the IANA Consideration section.

John

-----Original Message-----
From: Benak Otilia (NET/Helsinki) 
Sent: 18 November, 2002 19:06
To: Loughney John (NRC/Helsinki)
Subject: Diameter Base issue: DIAMETER_NO_COMMON_SECURITY error code not defined

Hi,

I started writing this as an issue, but since I don't know what the procedure is now when the Diameter base protocol draft is under IESG approval process, I am sending the information directly to you. 

Br,
Otilia

     Submitter name: Otilia Benak
     Submitter email address: [email-masked]
     Date first submitted: 18.11.02
     Reference: 
     Document: base 
     Comment type: E
     Priority: S
     Section: 7
     Rationale/Explanation of issue: 
     Section 5.3 states "a receiver of a Capabilities-Exchange-Req (CER) message that does not have any security model in common with the sender MUST return a Capabilities-Exchange-Answer (CEA) with the Result-Code AVP set to DIAMETER_NO_COMMON_SECURITY", but the value of DIAMETER_NO_COMMON_SECURITY is not defined.

     Requested change: 
     Define DIAMETER_NO_COMMON_SECURITY in section 7.